spamassassin (4.0.2-3) unstable; urgency=medium

  * Import upstream changes since the 4.0.2 release
    - 0001-remove-additional-slashes-after-http.patch
    - 0002-add-has_dns_max_cname_cache-feature.patch
    - 0003-find-more-redirected-domains.patch
    - 0004-Bug-8351-Remove-invalid-import.patch
    - 0005-Include-SVG-files-in-rawbody-rules.patch
    - 0006-improve-received-headers-parser.patch
    - 0007-improve-rcvd-parser-for-some-Qmail-headers.patch
    - 0008-in-order-to-hit-ARC_VALID-make-sure-that-all-ARC-Sea.patch
    - 0009-return-early-if-the-new-url-has-an-unsupported-proto.patch
    - 0011-Add-support-for-nested-anchor-tags.patch
    - 0012-remove-duplicated-parameters-in-order-to-better-catc.patch
    - 0013-avoid-a-warning.patch
    - 0014-add-the-possibility-to-check-for-redirectors-using-S.patch
    - 0015-fix-timeout-handling-in-Selenium-code.patch
    - 0016-do-not-export-a-sub-that-has-been-removed-some-time-.patch
    - 0017-log-Selenium-warnings.patch
    - 0018-make-it-possible-to-use-.-as-a-replacement-in-Mail-S.patch
    - 0019-check-more-email-addresses-in-check_rbl_headers.patch
    - 0020-check-all-values-of-Reply-to-header.patch
    - 0021-better-handling-of-malformed-uris.patch
    - 0022-add-support-for-4tld-domains-in-order-to-be-able-to-.patch
    - 0022-add-support-for-4tld-domains-in-order-to-be-able-to-.patch~
    - 0023-fix-password-protected-Redis-access-with-legacy-conf.patch
    - 0024-try-to-extract-more-urls-from-URIs.patch
    - 0025-Google-is-using-more-ipv6-ip-addresses-for-Gmail-rel.patch
    - 0026-improve-redirection-checks-in-the-http-equiv-tag-cas.patch
    - 0027-extract-ip-addresses-from-new-Gmail-received-headers.patch
    - 0028-if-the-host-is-an-octal-number-try-to-convert-it-int.patch
    - 0029-return-early-if-the-host-is-not-valid.patch
    - 0030-add-empty_tags-configuration.patch
    - 0031-define-empty_tags-as-an-empty-string-by-default.patch
    - 0032-add-a-generic-url-extractor.patch
    - 0033-revert-r1931682-and-add-a-working-test-for-the-case.patch
  * Import upstream rules as of svn revision 1931824
  * sa-compile: Add libcrypt-dev to Depends (Closes: #1125961)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 13 Feb 2026 20:16:19 -0500

spamassassin (4.0.2-2) unstable; urgency=medium

  * Import patch improve-CNAME-caching.patch from upstream
  * import patch limit-CNAME-cache-to-10-entries-by-default-and-make-it
    (Closes: #1118009)
  * import patch skip-CNAME-checks-if-dns_max_cname_cache-==-0
  * import upstream patch uri_list-test-requires-network-access
  * Import upstream fix for improper handling of non-CNAME DNS records
    (Closes: 1117982)
  * disable dns lookups in the test suite during build
  * Add libtest-perl-critic-perl and libtest-pod-perl to build-deps for tests

 -- Noah Meyerhans <noahm@debian.org>  Mon, 13 Oct 2025 18:27:12 -0400

spamassassin (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 31 Aug 2025 11:03:05 -0400

spamassassin (4.0.2~rc2-1) unstable; urgency=medium

  * New upstream release candidate (Closes: #1110072, #1103349, #1090826)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 11 Aug 2025 14:34:21 -0400

spamassassin (4.0.2~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate
  * Delete or refresh all patches

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Jul 2025 15:00:09 -0400

spamassassin (4.0.1+svn1923525-1) experimental; urgency=medium

  * Incorporate additional upstream changes to svn revision 1923525
  * Update rules to svn revision 1923525
  * Refresh or drop patches

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Feb 2025 08:42:38 -0500

spamassassin (4.0.1-5) unstable; urgency=medium

  * User a dpkg trigger to restart spamd after sa-compile upgrades
    (Closes: #1108166)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 26 Jun 2025 00:32:47 -0400

spamassassin (4.0.1-4) unstable; urgency=medium

  * backport patch for upstream bug #8237
  * Add libnet-libidn2-perl to build-deps for tests
  * import upstream logging fix when --virtual-config-dir is used
    (Closes: #1100826)
  * Ensure stdout from spamassassin-maint is discarded where intended
    (Closes: #634172)
  * Fix typo in Mail::SpamAssassin::Conf (Closes: #1072220)
  * Document the spamc default max message size (Closes: #951545)
  * Update bundled rules to upstream svn revision 1926576 (Closes: #1106669)
  * Update spamassassin README for systemd timer usage (Closes: #1108016)
  * skip spamd client tests during build (Closes: #1093943)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 19 Jun 2025 10:09:07 -0400

spamassassin (4.0.1-3) unstable; urgency=medium

  * Incorporate upstream fix for PDFInfo.pm uninitialized value warnings
    (Closes: #1091683)
  * clean up build-deps and set !nocheck where appropriate (Closes: #952698)
  * spamd: drop system-log-daemon to Recommends (Closes: #1072032)
  * prime the sa-update rule path with the packaged rules (Closes: #739489)
  * Remove obsolete spamassassin preinst script
  * cosmetic: whitespace fixes in maintainer scripts

 -- Noah Meyerhans <noahm@debian.org>  Thu, 09 Jan 2025 13:32:43 -0500

spamassassin (4.0.1-2) unstable; urgency=medium

  * Remove rules referencing the defunct SORBS DNSBLs (Closes: #1072663)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 10 Jun 2024 11:00:26 -0700

spamassassin (4.0.1-1) unstable; urgency=medium

  * Fix systemd detection in cron script (Closes: #1067007)
  * New upstream release

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Apr 2024 22:43:34 -0700

spamassassin (4.0.1~rc1-1) unstable; urgency=medium

  * New upstream release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 Mar 2024 09:23:21 -0700

spamassassin (4.0.1~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot (Closes: #1039459)
  * Remove a bashism in spamassassin-maint.sh
  * spamassassin-maint.sh: minor shell improvements
  * Refresh patch 10_change_config_paths
  * spamassassin-maint.sh: Run sa-update-hooks regardless of whether spamd
    is running (Closes: #1059744)
  * Remove patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 20 Jan 2024 18:39:17 -0800

spamassassin (4.0.0-9) unstable; urgency=medium

  * Run sa-update-hooks regardless of whether spamd is running (Closes: 1059744)
  * Be more explicit about exit codes in spamassassin-maint.sh

 -- Noah Meyerhans <noahm@debian.org>  Mon, 01 Jan 2024 09:34:51 -0800

spamassassin (4.0.0-8) unstable; urgency=medium

  * Drop reference to obsolete syslog.target in spamd.service
  * Import upstream patch for bug 1056001 (Closes: #1056001)
  * autopkgtest: give spamd time to set its cmd name

 -- Noah Meyerhans <noahm@debian.org>  Sun, 19 Nov 2023 12:08:09 -0800

spamassassin (4.0.0-7) unstable; urgency=medium

  * Import upstream fix for DnsResolver.pm method deprecation warnings
    (Closes: #1041759)
  * spamassassin-maintenance: reload spamd only if it's running
    (Closes: #1028030)
  * sa-update: Import upstream fix to usage of deprecated function
    (Closes: #1039960)
  * Drop dependency on obsolete package lsb-base

 -- Noah Meyerhans <noahm@debian.org>  Tue, 25 Jul 2023 09:23:47 -0700

spamassassin (4.0.0-6) unstable; urgency=medium

  * No change. This adds a new version to resolve the situation introduced
    when locally built binary .deb files were inadvertently included with
    the 4.0.0-5 upload.

 -- Noah Meyerhans <noahm@debian.org>  Sun, 30 Apr 2023 09:16:27 -0700

spamassassin (4.0.0-5) unstable; urgency=medium

  * Update spamd.service to order after network-online.target (Closes: #1034347)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 16 Apr 2023 13:28:05 -0700

spamassassin (4.0.0-4) unstable; urgency=medium

  * Revert "drop unused params from Makefile.PL"
  * Fix test for Socket module and drop libio-socket-inet6-perl
  * Disable AI_ADDRCONFIG when passing IPv4 literals to getaddrinfo
    (Closes: #1027925)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 06 Jan 2023 13:05:09 -0800

spamassassin (4.0.0-3) unstable; urgency=medium

  * drop unused params from Makefile.PL
  * Add debug output for ipv6-only test failures

 -- Noah Meyerhans <noahm@debian.org>  Wed, 04 Jan 2023 08:59:45 -0800

spamassassin (4.0.0-2) unstable; urgency=medium

  * fix typo in spamd.default (Closes: #1027307)
  * move pid file to /run when running under sysvinit
  * Update NEWS to document spamd sandboxing settings (Closes: #1024444)
  * spamassassin: Add libmail-dmarc-perl to Recommends

 -- Noah Meyerhans <noahm@debian.org>  Tue, 03 Jan 2023 17:09:07 -0800

spamassassin (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches that have been incorporated upstream

 -- Noah Meyerhans <noahm@debian.org>  Sat, 17 Dec 2022 08:41:25 -0800

spamassassin (4.0.0~rc4-1) unstable; urgency=medium

  * New upstream pre-release snapshot
    - Drop patch fix__tests_with_ipv6-only, integrated upstream.
  * Suppress lintian national-encoding warnings from encoding-specific files
  * Fix a pod error upstream

 -- Noah Meyerhans <noahm@debian.org>  Wed, 07 Dec 2022 21:22:57 -0800

spamassassin (4.0.0~rc3-3) unstable; urgency=medium

  * Enable hardening flags in systemd units
  * Update spamd init script to load /etc/default/spamd (Closes: #1020859)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 02 Oct 2022 10:39:27 -0700

spamassassin (4.0.0~rc3-2) unstable; urgency=medium

  * Fix test execution in IPv6-only environments

 -- Noah Meyerhans <noahm@debian.org>  Sat, 24 Sep 2022 20:41:03 -0700

spamassassin (4.0.0~rc3-1) unstable; urgency=medium

  * New upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Thu, 22 Sep 2022 10:55:12 -0700

spamassassin (4.0.0~rc2-2) unstable; urgency=medium

  * Fix autopkgtest failure

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 17:56:13 -0700

spamassassin (4.0.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate.
  * Preserve CRON=1 setting from /etc/default/spamassassin when migrating
    to systemd timers

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Sep 2022 09:48:52 -0700

spamassassin (4.0.0~rc1+take2-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * [lintian] Drop trailing whitespace in  debian/rules
  * Use dh sequencer
  * Use Rules-Requires-Root: no
  * Implement Debian CPPFLAGS
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all
  * Drop superfluous code from rules
  * Use debhelper v13 compat mode
  * Declare compatibility with Standards-Version: 4.6.0
  * Also respect CPPFLAGS and LDFLAGS during testsuite run
  * Point dh_autoreconf at directory containing autoconf code.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 10 Sep 2022 09:56:25 -0700

spamassassin (4.0.0~rc1+take2-1) experimental; urgency=medium

  * New upstream snapshot. Upstream re-pointed the 4.0.0-rc1 tag at svn
    revision 1903702 after previously having tagged an RC1 prematurely.
  * Add libtext-diff-perl to build-depends to support tests

 -- Noah Meyerhans <noahm@debian.org>  Fri, 26 Aug 2022 22:51:29 -0700

spamassassin (4.0.0~rc1+pre1-1) experimental; urgency=medium

  * Upstream pre-release snapshot. This is formally 4.0.0-pre1 upstream,
    but due to their prematurely released rc1, we've had to concoct a
    custom upstream version string.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 05 May 2022 08:57:02 -0700

spamassassin (4.0.0~rc1-1) experimental; urgency=medium

  * Upstream release candidate

 -- Noah Meyerhans <noahm@debian.org>  Sat, 30 Apr 2022 09:07:59 -0700

spamassassin (4.0.0~0.0svn1900273-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #1009979)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 22 Apr 2022 14:46:11 -0700

spamassassin (4.0.0~0.0svn1899920-1) experimental; urgency=medium

  * New upstream snapshot
  * Add libio-string-perl to (Build-)Depends (Closes: #1006890)
  * Support passing https_proxy to sa-update if set (Closes: #1004489)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 17 Apr 2022 07:48:21 -0700

spamassassin (4.0.0~0.0svn1896439-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 28 Dec 2021 11:46:22 -0800

spamassassin (4.0.0~0.0svn1894153-1) experimental; urgency=medium

  * update README.source
  * d/control: remove duplicate entreies
  * d/watch: update version, don't run uupdate
  * Fix utf-8 encoding of lib/Mail/SpamAssassin/Util.pm
  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Wed, 13 Oct 2021 14:28:01 -0700

spamassassin (4.0.0~0.0svn1892135-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 09 Aug 2021 10:40:38 -0700

spamassassin (4.0.0~0.0svn1890446-2) experimental; urgency=medium

  * Try harder to avoid pathname limits when running tests in buildd/CI
    environments

 -- Noah Meyerhans <noahm@debian.org>  Fri, 04 Jun 2021 08:33:43 -0700

spamassassin (4.0.0~0.0svn1890446-1) experimental; urgency=medium

  * New upstream snapshot
  * Work around test failures due to excessively long socket path names
    when running under GitLab CI environments.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Jun 2021 17:16:24 -0700

spamassassin (4.0.0~0.0svn1886510-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Tue, 16 Feb 2021 09:40:40 -0800

spamassassin (4.0.0~0.0svn1885032-2) experimental; urgency=medium

  * Don't try to stop spamassassin in preinst

 -- Noah Meyerhans <noahm@debian.org>  Sun, 03 Jan 2021 11:48:13 -0800

spamassassin (4.0.0~0.0svn1885032-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sat, 02 Jan 2021 08:56:21 -0800

spamassassin (4.0.0~0.0svn1883449-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Thu, 03 Dec 2020 10:24:01 -0800

spamassassin (4.0.0~0.0svn1883440-2) experimental; urgency=medium

  * Split spamd into a separate package, Recommended by spamassassin.
  * replace start-stop-daemon with runuser in postinst scripts
  * sa-compile: update lintian overrides
  * d/rules: Remove generated rules during clean
  * spamassassin: move cleanup steps to postrm

 -- Noah Meyerhans <noahm@debian.org>  Mon, 30 Nov 2020 11:23:29 -0800

spamassassin (4.0.0~0.0svn1883440-1) experimental; urgency=medium

  * New upstream snapshot

 -- Noah Meyerhans <noahm@debian.org>  Sun, 15 Nov 2020 06:04:03 -0800

spamassassin (4.0.0~0.0svn1879217-2) experimental; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:58:43 -0700

spamassassin (4.0.0~0.0svn1879217-1) experimental; urgency=medium

  * Introduce a systemd timer in place of the daily cron job.  The cron
    job will still be used if systemd is not in use.
  * New upstream snapshot
  * Configure systemd service as a "simple" service, not a "forking" service.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 16 Apr 2020 14:41:49 -0700

spamassassin (3.4.6-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * New upstream release
  * Import fix for upstream bug 7848

  [ Guillem Jover ]
  * Finish partial removal of ENABLED handling (Closes: #947086)

 -- Noah Meyerhans <noahm@debian.org>  Sat, 29 May 2021 21:26:45 -0700

spamassassin (3.4.5~pre1-4) unstable; urgency=medium

  [ Roel van Meer ]
  * postinst: Fix perms only if dir exists (Closes: #977957)

  [ Noah Meyerhans ]
  * Import upstream bug fix patches from the 3.4 release branch

 -- Noah Meyerhans <noahm@debian.org>  Thu, 15 Apr 2021 11:30:25 -0700

spamassassin (3.4.5~pre1-3) unstable; urgency=medium

  * Remove all python related dependencies from our autopkgtest suite to
    actually unblock the python2 removal.
    (Closes: #967039)

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 22:29:50 -0700

spamassassin (3.4.5~pre1-2) unstable; urgency=medium

  * Update python dependencies to support the python2 removal effort
    (Closes: #967039)
  * Import a number of bug fixes from upstream's 3.4 branch that haven't yet
    made it into a pre-release snapshot

 -- Noah Meyerhans <noahm@debian.org>  Mon, 03 Aug 2020 15:44:52 -0700

spamassassin (3.4.5~pre1-1) unstable; urgency=medium

  * New upstream pre-release snapshot
  * Drop debian/patches/update-spamd-ssl-tests, which has been obviated by
    upstream changes
  * Fix warnings caused by numeric comparisons with non-numeric module version
  * Update Homepage in debian/control (Closes: #964060)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 17 Jul 2020 09:25:33 -0700

spamassassin (3.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 11:47:40 -0800

spamassassin (3.4.4~rc1-1) unstable; urgency=medium

  * When creating the debian-spamd user, set its shell to /usr/sbin/nologin
    (Closes: 920394, 918506)
  * New upstream release candidate fixes security issues:
    - CVE-2020-1930: Arbitrary code execution via malicious rules files
    - CVE-2020-1931: Arbitrary code execution via malicious rules files

 -- Noah Meyerhans <noahm@debian.org>  Mon, 20 Jan 2020 17:31:41 -0800

spamassassin (3.4.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Noah Meyerhans ]
  * New upstream release.

 -- Noah Meyerhans <noahm@debian.org>  Thu, 12 Dec 2019 10:40:56 -0800

spamassassin (3.4.3~rc7-1) unstable; urgency=medium

  * Don't install sandbox rules or .pre files in /usr/share/spamassassin.
  * New upstream release candidate.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 25 Nov 2019 10:53:07 -0800

spamassassin (3.4.3~rc6+1-1) unstable; urgency=medium

  * Repack the upstream rc6 snapshot, including missing components that are not
    included in upstream's subversion tag.

 -- Noah Meyerhans <noahm@debian.org>  Fri, 15 Nov 2019 07:02:22 -0800

spamassassin (3.4.3~rc6-1) unstable; urgency=medium

  * New upstream release. (Closes: 878569)
  * Incorporate upstream security fixes:
    - CVE-2018-11805: Malicious rules files, possibly retrieved
      automatically via sa-update, can run arbitrary commands.
    - CVE-2019-12420: A message can be crafted in a way to use excessive
      resources, resulting in a denial of service.
  * Clarify location of "site-specific" configuration in spamassassin man page.
    (Closes: 426031)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Nov 2019 10:47:49 -0800

spamassassin (3.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Noah Meyerhans ]
  * Add libbsd-resource-perl to Suggests (Closes: 910434)
  * Update debhelper build-dep to 11.1 to support the
    dh_installinit --no-enable feature.
  * Fix severity of some spamd logs. (Closes: 913571)
  * Import upstream fix for "Not a HASH reference at
    /usr/share/perl5/Mail/SpamAssassin/Plugin/FromNameSpoof.pm"
    (Closes: 910435)
  * Remove /var/lib/spamassassin/compiled during sa-compile upgrades.
  * Move spamd pid file to from /var/run to /run
  * Apply upstream fix for Mail::SpamAssassin::Plugin::ASN reports wrong
    ASN for IPv6 (Closes: 918130)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 18 Oct 2019 11:22:48 -0700

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog spamc`.
